Subject: bug#36940: tests slowness and failure after recent Tramp changes

From: Michael Albinus <[email-masked]>
Date: Sun, 11 Aug 2019 12:12:21 +0200

Paul Eggert <[email-masked]> writes:

Hi Paul,

> Can we do the equivalent of 'touch nonce-file' on the remote machine,
> and then retrieve the nonce-file's timestamp? That should be a
> reasonably-reliable way of getting a remote timestamp at the start of
> the test.

"touch ..." would work only for ssh-like Tramp methods, which is the
minority. I've applioed a similar approach, using the modification time
of the very first remote file created in the test, as start test time.

Best regards, Michael.